Next Commerce
Storefront

Pages Create

Create a new page.

POST
/pages/

Authorization

oauth2 content:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: content:write

Header Parameters

X-29next-API-Version*string
Default"unstable"
Value in"unstable"

Request Body

content?string
meta_description?|
meta_title?|
metadata?|
slug?|
template?|

Custom template name from your theme, ie pages/page.{custom_name}.html

title*string
Lengthlength <= 200

Response Body

application/json

curl -X POST "https://example.29next.store/api/admin/pages/" \
  -H "X-29next-API-Version: unstable" \
  -H "Authorization: Bearer " \
  -H "Content-Type: application/json" \
  -d '{
    "title": "string"
  }'
{
  "content": "string",
  "id": 0,
  "meta_description": "string",
  "meta_title": "string",
  "metadata": {},
  "slug": "string",
  "template": "string",
  "title": "string"
}